/*
 * File         : SprocThread.h
 * Author       : Tomasz Stachowiak
 * Created      : Fri Jul 24 12:09:46 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __SPROCTHREAD_H
#define __SPROCTHREAD_H

#include "Thread.h"

class SprocThread : public Thread
{

 public:
  SprocThread();
  int start();
  int stop();
  int kill();

 protected:

  virtual int run() = 0;
  static void run_callback(void *arg);

  int pid;
  int running;
};

#endif

